#Initiate refund
#Request path
/api/v2/virtual/order/refund#Request parameters
| Name | Type | Length | Required | Description |
|---|---|---|---|---|
| orderld | String | 32 | yes | The unique Order Number of the merchant refund form, which can be used to query the refund results. |
| orginOrderNo | String | 32 | yes | Original order number of the merchant, orders that need refund |
| amount | Long | - | yes | Refund amount (minimum unit measurement), partial refund is supported. |
| payeeName | String | 50 | no | Name of the payee (If not passed, the default value is unknown) If needed, please contact BD for authorization |
| payeeBankCode | String | 50 | no | Bank or MMO code of the payee If needed, please contact BD for authorization |
| payeeBankAccNo | String | 50 | no | Bank account or MoMo account of the payee. The account number is purely numeric, with no spaces or special characters. If needed, please contact BD for authorization |
| notifyUrl | String | 200 | no | Transaction result callback address for receiving message notifications of changes to refund result information. Please refer to Result notification |
| remark | String | 200 | no | Note information |
#Returned value
| Name | Type | Length | Required | Description |
|---|---|---|---|---|
| orderNo | String | 32 | yes | PalmPay internal order number |
| orderId | String | 32 | yes | The merchant's unique order number can be used to check transaction results |
| orderStatus | Integer | 20 | yes | Order status |
| currency | String | 10 | yes | Currency |
| amount | Long | 20 | yes | Refund amount(minimum unit) |
#Error Code
#Postman example
#request
curl --location 'https://open-gw-sandbox.palmpay-inc.com/api/v2/virtual/order/refund' \
--header 'Accept: application/json, text/plain, */*' \
--header 'CountryCode: NG' \
--header 'Authorization: Bearer 10241024' \
--header 'Signature: D11A3E8CB478C0B0F40276DDA5AFD898' \
--header 'Content-Type: application/json' \
--data '{
"requestTime": 1662171389940,
"version": "V1.1",
"nonceStr": "IBJGAeTa4ZJQv4Z2qufomVo9eI1YnJ9Y",
"originOrderNo": "MI1957222182082048000"
"orderId":"testc9ffae997fc1",
"amount":1000,
"notifyUrl":"https://xx.cn/callback/payment",
"remark":"test"
}'#response
{
"respCode": "00000000",
"respMsg": "success",
"data": {
"orderNo": "23251015000031255231",
"orderId": "testc9ffae997fc1",
"orderStatus": 1,
"currency": "NGN",
"amount": 1000
}
}